petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetNullSpace

retrieves the null space to a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNullSpace(Mat mat, MatNullSpace *nullsp)

Logically Collective on Mat and MatNullSpace Many br

### Input Parameters

| mat | - the matrix Many br
| nullsp | - the null space object Many br

Many br

### See Also

MatCreate(), MatNullSpaceCreate(), MatSetNearNullSpace(), MatSetNullSpace()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages